controllers/AulasController.php
<?php

namespace app\controllers;

use app\models\Aulas;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * AulasController implements the CRUD actions for Aulas model.
 */
class AulasController extends Controller
{
    /**
     * @inheritDoc
     */
    public function behaviors()
    {
        return array_merge(
            parent::behaviors(),
            [
                'verbs' => [
                    'class' => VerbFilter::className(),
                    'actions' => [
                        'delete' => ['POST'],
                    ],
                ],
            ]
        );
    }

    /**
     * Lists all Aulas models.
     *
     * @return string
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Aulas::find(),
            /*
            'pagination' => [
                'pageSize' => 50
            ],
            'sort' => [
                'defaultOrder' => [
                    'idaula' => SORT_DESC,
                ]
            ],
            */
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Aulas model.
     * @param int $idaula Idaula
     * @return string
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($idaula)
    {
        return $this->render('view', [
            'model' => $this->findModel($idaula),
        ]);
    }

    /**
     * Creates a new Aulas model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return string|\yii\web\Response
     */
    public function actionCreate()
    {
        $model = new Aulas();

        if ($this->request->isPost) {
            if ($model->load($this->request->post()) && $model->save()) {
                return $this->redirect(['view', 'idaula' => $model->idaula]);
            }
        } else {
            $model->loadDefaultValues();
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Aulas model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param int $idaula Idaula
     * @return string|\yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($idaula)
    {
        $model = $this->findModel($idaula);

        if ($this->request->isPost && $model->load($this->request->post()) && $model->save()) {
            return $this->redirect(['view', 'idaula' => $model->idaula]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Aulas model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param int $idaula Idaula
     * @return \yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($idaula)
    {
        $this->findModel($idaula)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Aulas model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param int $idaula Idaula
     * @return Aulas the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($idaula)
    {
        if (($model = Aulas::findOne(['idaula' => $idaula])) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
}

controllers/EstadosController.php
<?php

namespace app\controllers;

use app\models\Estados;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * EstadosController implements the CRUD actions for Estados model.
 */
class EstadosController extends Controller
{
    /**
     * @inheritDoc
     */
    public function behaviors()
    {
        return array_merge(
            parent::behaviors(),
            [
                'verbs' => [
                    'class' => VerbFilter::className(),
                    'actions' => [
                        'delete' => ['POST'],
                    ],
                ],
            ]
        );
    }

    /**
     * Lists all Estados models.
     *
     * @return string
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Estados::find(),
            /*
            'pagination' => [
                'pageSize' => 50
            ],
            'sort' => [
                'defaultOrder' => [
                    'idestado' => SORT_DESC,
                ]
            ],
            */
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Estados model.
     * @param int $idestado Idestado
     * @return string
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($idestado)
    {
        return $this->render('view', [
            'model' => $this->findModel($idestado),
        ]);
    }

    /**
     * Creates a new Estados model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return string|\yii\web\Response
     */
    public function actionCreate()
    {
        $model = new Estados();
        $model_estadosc = Estados::find()->all();

        if ($this->request->isPost) {
            if ($model->load($this->request->post()) && $model->save()) {
                return $this->redirect(['view', 'idestado' => $model->idestado]);
            }
        } else {
            $model->loadDefaultValues();
        }

        return $this->render('create', [
            'model' => $model,
            'model_estadosc' => $model_estadosc,
        ]);
    }

    /**
     * Updates an existing Estados model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param int $idestado Idestado
     * @return string|\yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($idestado)
    {
         $model = new Estados();
        $model_estadosc = Estados::find()->all();

        if ($this->request->isPost) {
            if ($model->load($this->request->post()) && $model->save()) {
                return $this->redirect(['view', 'idestado' => $model->idestado]);
            }
        } else {
            $model->loadDefaultValues();
        }

        return $this->render('create', [
            'model' => $model,
            'model_estadosc' => $model_estadosc,
        ]);
    }

    /**
     * Deletes an existing Estados model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param int $idestado Idestado
     * @return \yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($idestado)
    {
        $this->findModel($idestado)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Estados model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param int $idestado Idestado
     * @return Estados the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($idestado)
    {
        if (($model = Estados::findOne(['idestado' => $idestado])) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
}

controllers/EstudiosController.php
<?php

namespace app\controllers;

use app\models\Estudios;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;
use app\models\Turnos;

/**
 * EstudiosController implements the CRUD actions for Estudios model.
 */
class EstudiosController extends Controller
{
    /**
     * @inheritDoc
     */
    public function behaviors()
    {
        return array_merge(
            parent::behaviors(),
            [
                'verbs' => [
                    'class' => VerbFilter::className(),
                    'actions' => [
                        'delete' => ['POST'],
                    ],
                ],
            ]
        );
    }

    /**
     * Lists all Estudios models.
     *
     * @return string
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Estudios::find(),
            /*
            'pagination' => [
                'pageSize' => 50
            ],
            'sort' => [
                'defaultOrder' => [
                    'idestudio' => SORT_DESC,
                ]
            ],
            */
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Estudios model.
     * @param int $idestudio Idestudio
     * @return string
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($idestudio)
    {
        return $this->render('view', [
            'model' => $this->findModel($idestudio),
        ]);
    }

    /**
     * Creates a new Estudios model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return string|\yii\web\Response
     */
    public function actionCreate()
    {
        $model = new Estudios();
        $model_turnosc = Turnos::find()->all();

        if ($this->request->isPost) {
            if ($model->load($this->request->post()) && $model->save()) {
                return $this->redirect(['view', 'idestudio' => $model->idestudio]);
            }
        } else {
            $model->loadDefaultValues();
        }

        return $this->render('create', [
            'model' => $model,
            'model_turnosc' => $model_turnosc,
        ]);
    }

    /**
     * Updates an existing Estudios model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param int $idestudio Idestudio
     * @return string|\yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($idestudio)
    {
        $model = $this->findModel($idestudio);
        $model_turnosc = Turnos::find()->all();
        if ($this->request->isPost && $model->load($this->request->post()) && $model->save()) {
            return $this->redirect(['view', 'idestudio' => $model->idestudio]);
        }

        return $this->render('update', [
            'model' => $model,
            'model_turnosc' => $model_turnosc,
        ]);
    }

    /**
     * Deletes an existing Estudios model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param int $idestudio Idestudio
     * @return \yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($idestudio)
    {
        $this->findModel($idestudio)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Estudios model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param int $idestudio Idestudio
     * @return Estudios the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($idestudio)
    {
        if (($model = Estudios::findOne(['idestudio' => $idestudio])) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
}

controllers/TurnosController.php
<?php

namespace app\controllers;

use app\models\Turnos;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * TurnosController implements the CRUD actions for Turnos model.
 */
class TurnosController extends Controller
{
    /**
     * @inheritDoc
     */
    public function behaviors()
    {
        return array_merge(
            parent::behaviors(),
            [
                'verbs' => [
                    'class' => VerbFilter::className(),
                    'actions' => [
                        'delete' => ['POST'],
                    ],
                ],
            ]
        );
    }

    /**
     * Lists all Turnos models.
     *
     * @return string
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Turnos::find(),
            /*
            'pagination' => [
                'pageSize' => 50
            ],
            'sort' => [
                'defaultOrder' => [
                    'idturno' => SORT_DESC,
                ]
            ],
            */
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Turnos model.
     * @param int $idturno Idturno
     * @return string
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($idturno)
    {
        return $this->render('view', [
            'model' => $this->findModel($idturno),
        ]);
    }

    /**
     * Creates a new Turnos model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return string|\yii\web\Response
     */
    public function actionCreate()
    {
        $model = new Turnos();
        $model_turnos = Turnos::find()->all();

        if ($this->request->isPost) {
            if ($model->load($this->request->post()) && $model->save()) {
                return $this->redirect(['view', 'idturno' => $model->idturno]);
            }
        } else {
            $model->loadDefaultValues();
        }

        return $this->render('create', [
            'model' => $model,
            'model_turnos' => $model_turnos,
        ]);
    }

    /**
     * Updates an existing Turnos model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param int $idturno Idturno
     * @return string|\yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($idturno)
    {
        $model = $this->findModel($idturno);
        $model_turnos = Turnos::find()->all();

        if ($this->request->isPost && $model->load($this->request->post()) && $model->save()) {
            return $this->redirect(['view', 'idturno' => $model->idturno]);
        }

        return $this->render('update', [
            'model' => $model,
             'model_turnos' => $model_turnos,
        ]);
    }

    /**
     * Deletes an existing Turnos model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param int $idturno Idturno
     * @return \yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($idturno)
    {
        $this->findModel($idturno)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Turnos model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param int $idturno Idturno
     * @return Turnos the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($idturno)
    {
        if (($model = Turnos::findOne(['idturno' => $idturno])) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('Esta página no existe.');
    }
}

views/site/about.php
<?php

/** @var yii\web\View $this */

use yii\helpers\Html;

    $this->title = 'Prestamos de ordenadores';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-about">
    <h1><?= Html::encode($this->title) ?></h1>
  <form>
      
  <div class="form-row align-items-center">
    <div class="col-auto my-1">
      <label class="mr-sm-2" for="inlineFormCustomSelect">Nº Ordenador</label>
      <select class="custom-select mr-sm-2" id="inlineFormCustomSelect">
        <option selected>PC...</option>
        <option value="1">One</option>
        <option value="2">Two</option>
        <option value="3">Three</option>
      </select>
    </div>
      
    <div class="form-row align-items-center">
    <div class="col-auto my-1">
      <label class="mr-sm-2" for="inlineFormCustomSelect">Curso</label>
      <select class="custom-select mr-sm-2" id="inlineFormCustomSelect">
        <option selected>Curso...</option>
        <option value="1">One</option>
        <option value="2">Two</option>
        <option value="3">Three</option>
      </select>
    </div>
  </div>
  </div> 
      <div class="input-group">
  <div class="input-group-prepend">
    <span class="input-group-text" id="">Nombre y apellidos</span>
  </div>
  <input type="text" class="form-control">
  <input type="text" class="form-control">
</div>
    
</div>
      
</form>
</div>

views/site/contact.php
<?php

/** @var yii\web\View $this */
/** @var yii\bootstrap4\ActiveForm $form */
/** @var app\models\ContactForm $model */

use yii\bootstrap4\ActiveForm;
use yii\bootstrap4\Html;
use yii\captcha\Captcha;

$this->title = 'Contacto';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-contact">
    <h1><?= Html::encode($this->title) ?></h1>

    <?php if (Yii::$app->session->hasFlash('contactFormSubmitted')): ?>

        <div class="alert alert-success">
            
            Thank you for contacting us. We will respond to you as soon as possible.
        </div>

        <p>
            Note that if you turn on the Yii debugger, you should be able
            to view the mail message on the mail panel of the debugger.
            <?php if (Yii::$app->mailer->useFileTransport): ?>
                Because the application is in development mode, the email is not sent but saved as
                a file under <code><?= Yii::getAlias(Yii::$app->mailer->fileTransportPath) ?></code>.
                Please configure the <code>useFileTransport</code> property of the <code>mail</code>
                application component to be false to enable email sending.
            <?php endif; ?>
        </p>

    <?php else: ?>

        <p>
            If you have business inquiries or other questions, please fill out the following form to contact us.
            Thank you.
        </p>

        <div class="row">
            <div class="col-lg-5">

                <?php $form = ActiveForm::begin(['id' => 'contact-form']); ?>

                    <?= $form->field($model, 'name')->textInput(['autofocus' => true]) ?>

                    <?= $form->field($model, 'email') ?>

                    <?= $form->field($model, 'subject') ?>

                    <?= $form->field($model, 'body')->textarea(['rows' => 6]) ?>

                    <?= $form->field($model, 'verifyCode')->widget(Captcha::className(), [
                        'template' => '<div class="row"><div class="col-lg-3">{image}</div><div class="col-lg-6">{input}</div></div>',
                    ]) ?>

                    <div class="form-group">
                        <?= Html::submitButton('Submit', ['class' => 'btn btn-primary', 'name' => 'contact-button']) ?>
                    </div>

                <?php ActiveForm::end(); ?>

            </div>
        </div>

    <?php endif; ?>
</div>

views/site/error.php
<?php

/** @var yii\web\View $this */
/** @var string $name */
/** @var string $message */
/** @var Exception$exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/index.php
<?php

/** @var yii\web\View $this */
use yii\helpers\Html;
$this->title = 'Gestión Prestamos';
?>
<div class="site-index">
 
    <div class="jumbotron text-center bg-transparent sombrastxt">
        <h1 class="display-4">Panel de Gestión Administrador</h1>
    </div>

    <div class="body-content">
        
        <div class="row">          
            <div class="col-sm-6 col-md-4">
                <div class="card alturaminima sombras">
                    <div class="card-body tarjeta">
                       <img src="<?php echo Yii::$app->request->baseUrl; ?>/images/envio.gif"  height="100px">
                       <h3>PRÉSTAMOS</h3>  
                       <?= Html::a('Gestionar',['prestamos/index'],['class' =>'btn btn-primary'])?> 
                                             <!--site/consultaprestamos-->
                    </div>
               </div>
        </div>            
         <div class="col-sm-6 col-md-4">
                <div class="card alturaminima sombras">
                    <div class="card-body tarjeta">
                       <img src="<?php echo Yii::$app->request->baseUrl; ?>/images/computadora.gif"  height="100px">
                       <h3>ORDENADORES</h3> 
                       <?= Html::a('Gestionar',['portatiles/index'],['class' =>'btn btn-primary'])?>
                    </div>
               </div>
        </div>           
         <div class="col-sm-6 col-md-4">
                <div class="card alturaminima sombras">
                    <div class="card-body tarjeta">
                        <img src="<?php echo Yii::$app->request->baseUrl; ?>/images/colegio.gif"  height="100px">
                        <h3>AULAS</h3>
                        <?= Html::a('Gestionar',['aulas/index'],['class' =>'btn btn-primary'])?>
                    </div>
               </div>
        </div>            
         <div class="col-sm-6 col-md-4">
                <div class="card alturaminima sombras">
                    <div class="card-body tarjeta">
                       <img src="<?php echo Yii::$app->request->baseUrl; ?>/images/24-horas.gif"  height="100px">
                       <h3>TURNOS</h3>
                       <?= Html::a('Gestionar',['turnos/index'],['class' =>'btn btn-primary'])?>
                    </div>
               </div>
        </div>            
         <div class="col-sm-6 col-md-4">
                <div class="card alturaminima sombras">
                    <div class="card-body tarjeta">
                       <img src="<?php echo Yii::$app->request->baseUrl; ?>/images/advertencia.gif"  height="100px">
                       <h3>ESTADOS</h3>
                       <?= Html::a('Gestionar',['estados/index'],['class' =>'btn btn-primary'])?>
                    </div>
               </div>
        </div>    
          <div class="col-sm-6 col-md-4">
                <div class="card alturaminima sombras">
                    <div class="card-body tarjeta">
                      <img src="<?php echo Yii::$app->request->baseUrl; ?>/images/carpetas.gif"  height="100px">
                       <h3>CURSOS</h3>
                       <?= Html::a('Gestionar',['estudios/index'],['class' =>'btn btn-primary'])?>
                    </div>
               </div>
        </div>
</div>
</div>
</div>

views/site/indexguest.php
<?php

/** @var yii\web\View $this */

use yii\helpers\Html;

$this->title = '';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-about">
        
        <div class="row">
            
            <div class="col-sm-6 col-md-4">
                <div class="card alturaminima">
                    <div class="card-body tarjeta">
                       <img src="<?php echo Yii::$app->request->baseUrl; ?>/images/envio.gif"  height="100px">
                       <h3>CREAR PRÉSTAMO</h3>  
                       <?= Html::a('CREAR',['prestamos/index'],['class' =>'btn btn-primary'])?>
         
                    </div>
               </div>
        </div>
</div>
</div>

views/site/login.php
<?php

/** @var yii\web\View $this */
/** @var yii\bootstrap4\ActiveForm $form */
/** @var app\models\LoginForm $model */

use yii\bootstrap4\ActiveForm;
use yii\bootstrap4\Html;

$this->title = 'Iniciar Sesión Administrador';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="site-login">
    <h1><?= Html::encode($this->title) ?></h1>

    <p>Por favor complete los siguientes campos para iniciar sesión:</p>

    <?php $form = ActiveForm::begin([
        'id' => 'login-form',
        'layout' => 'horizontal',
        'fieldConfig' => [
            'template' => "{label}\n{input}\n{error}",
            'labelOptions' => ['class' => 'col-lg-1 col-form-label mr-lg-3'],
            'inputOptions' => ['class' => 'col-lg-3 form-control'],
            'errorOptions' => ['class' => 'col-lg-7 invalid-feedback'],
        ],
    ]); ?>

        <?= $form->field($model, 'username')->textInput(['autofocus' => true]) ?>

        <?= $form->field($model, 'password')->passwordInput() ?>

        <?= $form->field($model, 'rememberMe')->checkbox([
            'template' => "<div class=\"offset-lg-1 col-lg-3 custom-control custom-checkbox\">{input} {label}</div>\n<div class=\"col-lg-8\">{error}</div>",
        ]) ?>

        <div class="form-group">
            <div class="offset-lg-1 col-lg-11">
                <?= Html::submitButton('Entrar', ['class' => 'btn btn-primary', 'name' => 'login-button']) ?>
            </div>
        </div>

    <?php ActiveForm::end(); ?>

    <div class="offset-lg-1" style="color:#999;">
        
        Puede iniciar sesión con <strong>admin/admin</strong> o <strong>demo/demo</strong>.<br>
        Para modificar el nombre de usuario/contraseña, consulte el código <code>app\models\User::$users</code>.
    </div>
</div>

views/site/resultado.php
<?php
use yii\grid\GridView;
?>

<div class="pt-5">

</div>

<?=GridView::widget([
    'dataProvider'=>$resultados,
    'columns'=>$campos,
    'layout'=>"{items}",
]);?>